Subject: [Cellar] draft IANA Considerations section for FFV1

From: Dave Rice <[email-masked]>
Date: Sun, 4 Feb 2018 12:05:24 -0500

Hi cellar,

The IANA Considerations section is one of remaining requirements for the FFV1 draft. I’ve updated this pull request with an update on that which also adds a Media Type Definition section per RFC6838 and RFC4855. Here’s the rendering of my draft which is also reviewable in https://github.com/FFmpeg/FFV1/pull/71 <https://github.com/FFmpeg/FFV1/pull/71>. Comments welcome as this is my first attempt at an IETF Media Type Definition.

7. Media Type Definition

This registration is done using the template defined in [RFC6838] and following [RFC4855].

Type name: video

Subtype name: FFV1

Required parameters: None.

Optional parameters:

This parameter is used to signal the capabilities of a receiver implementation. This parameter MUST NOT be used for any other purpose.

version: The version of the FFV1 encoding as defined by Section 4.8.1.

Encoding considerations:

This media type is defined for encapsulation in several audiovisual container formats and contains binary data; see Section 4.1.3. This media type is framed binary data Section 4.8 of [RFC4288].

Security considerations:

See Section 6 of RFC xxxx.

[RFC Editor: Upon publication as an RFC, please replace "XXXX" with the number assigned to this document and remove this note.]

Interoperability considerations: None.

Published specification:

[I-D.ietf-cellar-ffv1] and RFC XXXX.

[RFC Editor: Upon publication as an RFC, please replace "XXXX" with the number assigned to this document and remove this note.]

Applications which use this media type:

Any application that requires the transport of lossless video can use this media type. Some examples are, but not limited to screen recording, scientific imaging, and digital video preservation.

Fragment identifier considerations: N/A.

Additional information: None.

Person & email address to contact for further information: TODO [Pick a contact]

Intended usage: COMMON

Restrictions on usage: None.

Author: TODO [Pick a contact]

Change controller: IETF cellar working group delegated from the IESG.

8. IANA Considerations

The IANA is requested to register the following values:

	• Media type registration as described in Section 7.

Kind Regards,
Dave Rice